libraw1394: version 2.0.4
Prev |  | Next

# raw1394_arm_set_buf

## Name

raw1394_arm_set_buf -- set the buffer of an AdressRangeMapping

## Synopsis

``int raw1394_arm_set_buf` (raw1394handle_t handle, nodeaddr_t start, size_t length, void * buf);`

## Arguments

`handle`

  libraw1394 handle

`start`

  identifies addressrange

`length`

  identifies addressrange

`buf`

  pointer to buffer

## Description

This function copies `length` bytes from user memory area `buf` to one ARM block in kernel memory area with start offset `start`.

## Returns

0 on success or -1 on failure (sets errno)

Prev | Home | Next
raw1394_arm_unregister | Up | raw1394_arm_get_buf